body {
    font-family: "Jost", sans-serif;
    font-weight: 400;
    font-style: normal;
    margin: 0;
    background: linear-gradient(
        45deg, 
        rgba(208, 196, 140, 0.8) 0%, 
        rgba(226, 227, 199, 0.8) 40%);
}


/* Siin on päise/menüüriba stiil */
header {
    position: relative;
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    height: 145px;
    background-color: rgba(190, 190, 115, 1);
    background-image: linear-gradient(to right,
            rgba(251, 203, 203, 0.15) 0%,
            rgba(140, 222, 152, 0.18) 30%,
            rgba(140, 222, 152, 0.18) 70%,
            rgba(251, 203, 203, 0.15) 100%);
}

h1 {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: rgb(0, 0, 0);
    font-size: clamp(30px, 5vw, 50px);
    margin: 0px;
}

.logo {
    width: clamp(90px, 15vw, 130px);
    height: auto;
    margin-left: 45px;
}

.menüü {
    font-size: clamp(20px, 3vw, 30px);
    margin: 0px;
    color: rgb(0, 0, 0);
}

.menüü a {
    margin: 0 20px;
    color: rgb(0, 0, 0);
    text-decoration: none;
    transition: all 0.3s ease;
}

.menüü a:hover {
    color: rgb(255, 255, 255);
    text-shadow: 2px 2px 5px rgba(0, 0, 0, 0.3);
    border-radius: 10px;
}


/* Siin on bänneri stiil */
.bänner-kast {
    display: flex;
    justify-content: center;
    overflow: visible;
    position: relative;
    width: 100%;
    height: 340px;
    background-color: rgba(199, 191, 132, 1);
    border-bottom-left-radius: 25px;
    border-bottom-right-radius: 25px;
}

.bänner-pilt {
    filter: contrast(80%) saturate(70%);
    width: 96%;
    height: 100%;
    object-fit: cover;
    box-shadow: -1px 1px 8px 2px rgba(0, 0, 0, 0.5);
}

.bänner-tekst {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: rgb(164, 206, 184);
    font-size: 40px;
    width: 100%;
    text-shadow:
        -1px -1px 2px black,
        1px -1px 2px black,
        -1px 1px 2px black,
        1px 1px 2px black;
    text-align: center;
}


/* Siin on jaluse stiil */
footer {
    position: relative;
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 50px;
    padding: 10px;
    background-color: rgb(226, 226, 211);
}

footer img {
    width: 50px;
}

footer p {
    margin: 0px;
    width: auto;
    font-size: clamp(8px, 1.5vw, 15px);
}

.ikoonid {
    position: absolute;
    display: flex;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    height: 70%;
    justify-content: center;
    gap: 20px;
    width: 100%;
}


/* Sisu stiil */
.kast {
    background-color: #C2B67B;
    padding: 20px;
    border-radius: 4px;
    box-shadow: 0 2px 3px rgba(0, 0, 0, 0.3);
    transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.kast:hover {
    transform: translateY(-10px);
    box-shadow: 0 2px 3px rgba(0, 0, 0, 0.6);
}


/* Mobiilivaade */
@media (max-width: 768px) {
    header {
        height: 120px;
    }
    
    .logo {
        margin-left: 10px;
    }
    
    .menüü {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 10px;
    }

    .menüü a {
        margin: 0;
        text-align: center;
        padding: 10px;
        border-bottom: 1px solid rgba(0, 0, 0, 0.1);
    }

    h2 {
        font-size: 30px;
    }

    .bänner-kast {
        height: 150px;
        border-bottom-left-radius: 5px;
        border-bottom-right-radius: 5px;
    }

    footer p {
        max-width: clamp(100px, 10vh, 300px) 
    }

}